from dataclasses import dataclass, field
from typing import List, Dict, Optional
from bson import ObjectId

@dataclass
class FeatureSentiment:
    positive: List[str] = field(default_factory=list)
    negative: List[str] = field(default_factory=list)

@dataclass
class ProductReview:
    id: Optional[ObjectId] = None
    product_id: str = ""
    review: str = ""
    rating: float = 0.0
    features: List[Dict[str, FeatureSentiment]] = field(default_factory=list)